/// <reference types="react" />
export declare type FoundationControlDevice = 'mobile' | 'tablet' | 'desktop';
export declare type FoundationControlLayout = 'mobile-column' | 'tablet-column' | 'desktop-column' | 'mobile-row' | 'tablet-row' | 'desktop-row';
export interface FoundationControlContextType {
    layout?: FoundationControlLayout[];
}
export interface FoundationControlProps {
    children?: React.ReactNode;
    devices?: readonly FoundationControlDevice[];
}
export interface FoundationControlGroupProps {
    children: React.ReactNode;
    column?: FoundationControlDevice | null;
    devices?: FoundationControlDevice[];
}
