# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.1.3](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-control-group@1.1.2...@billogram/foundation-control-group@1.1.3) (2021-06-24)

**Note:** Version bump only for package @billogram/foundation-control-group



## [1.1.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-control-group@1.1.1...@billogram/foundation-control-group@1.1.2) (2021-06-17)

**Note:** Version bump only for package @billogram/foundation-control-group



## [1.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-control-group@1.1.0...@billogram/foundation-control-group@1.1.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-control-group@1.0.2...@billogram/foundation-control-group@1.1.0) (2021-01-10)

### Bug Fixes

* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-control-group ([31d186d1](https://github.com/billogram/frontend-foundation/commit/31d186d1))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.0.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-control-group@1.0.1...@billogram/foundation-control-group@1.0.2) (2020-03-12)

### Bug Fixes

* Reset context in control ([75e0024b](https://github.com/billogram/frontend-foundation/commit/75e0024b))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-control-group@1.0.1) (2020-01-20)

### Bug Fixes

* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Satisfy workspace dependencies ([acc1e564](https://github.com/billogram/frontend-foundation/commit/acc1e564))


### Features

* Implement FoundationControl and FoundationControlGroup ([d86cd7d0](https://github.com/billogram/frontend-foundation/commit/d86cd7d0))
* Scaffold out @billogram/foundation-control-group ([e27f060b](https://github.com/billogram/frontend-foundation/commit/e27f060b))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-control-group@1.0.0) (2020-01-20)

### Bug Fixes

* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Satisfy workspace dependencies ([acc1e564](https://github.com/billogram/frontend-foundation/commit/acc1e564))


### Features

* Implement FoundationControl and FoundationControlGroup ([d86cd7d0](https://github.com/billogram/frontend-foundation/commit/d86cd7d0))
* Scaffold out @billogram/foundation-control-group ([e27f060b](https://github.com/billogram/frontend-foundation/commit/e27f060b))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
